description = "" 
output_type = "audio"
speaker = ""
gender = "f"
travel_mode = "1"
language = "Slovak"
marc_code = "slo"
language_id = "26"
id = "26000"
config_file = "slovak_f/config.lua"
audio_files_path = "slovak_f/slovak_female"
audio_files_version = "0.2.0.2011082301"
client_range = "[client >= 1.3.15.0 ; client < 1.4.6.0 ]"

down = 1
up = 2

maneuver_turns = {
    ["NO_TURN"] = {"g5man_001e", "g5man_001"},
    ["KEEP_MIDDLE"] = {"g5man_012e_alt1", "g5man_012_alt1"},
    ["KEEP_RIGHT"] = {"g5turns_right_002e_alt1", "g5turns_right_002_alt1"},
    ["LIGHT_RIGHT"] = {"g5turns_right_003e", "g5turns_right_003"},
    ["QUITE_RIGHT"] = {"g5turns_right_001e", "g5turns_right_001"},
    ["HEAVY_RIGHT"] = {"g5turns_right_004e", "g5turns_right_004"},
    ["RETURN"] = {"g5man_005e_alt1", "g5man_005_alt1"},
    ["HEAVY_LEFT"] = {"g5turns_left_004e", "g5turns_left_004"},
    ["QUITE_LEFT"] = {"g5turns_left_001e", "g5turns_left_001"},
    ["LIGHT_LEFT"] = {"g5turns_left_003e", "g5turns_left_003"},
    ["KEEP_LEFT"] = {"g5turns_left_002e_alt1", "g5turns_left_002_alt1"},
    ["nil"] = {nil, nil},
    ["UNDEFINED"] = {nil, nil}
}


maneuver_check = {
    ["END"] = {"g5ann_001e_alt2", "g5ann_001e_alt2"},              -- You will reached your destination
    ["STOPOVER"] = {"g5ann_002e_alt2", "g5ann_002e_alt2"},         -- You will reached a stopover
    ["JUNCTION"] = {nil, nil},                                     -- No voice file needed -> check maneuver_turn
    ["PASS_JUNCTION"] = {nil, nil},                                -- the junction
    ["ROUNDABOUT"] = {"g5mod_005", "g5mod_005"},                   -- At the roundabout  (note: Slovak --> "take + at the roundabout", further detailed on misc list and config.lua)
    ["EXIT_ROUNDABOUT"] = {"g5ext_000e", "g5ext_000"},             -- take the exit
    ["UTURN"] = {"g5man_005e_alt1", "g5man_005_alt1"},             -- Make a uturn
    ["ENTER_HIGHWAY"] = {"g5man_008e", "g5man_008"},
    ["LEAVE_HIGHWAY"] = {"g5ext_000e", "g5ext_000"},               -- take the exit
    ["CHANGE_HIGHWAY"] = {"g5man_009e", "g5man_009"},
    ["CONTINUE_HIGHWAY"] = {"g5ext_000e", "g5ext_000"},
    ["ENTER_URBAN_HIGHWAY"] = {"g5man_008e", "g5man_008"},
    ["LEAVE_URBAN_HIGHWAY"] = {"g5ext_000e", "g5ext_000"},              -- take the exit
    ["CHANGE_URBAN_HIGHWAY"] = {"g5man_009e", "g5man_009"},
    ["CONTINUE_URBAN_HIGHWAY"] = {"g5ext_000e", "g5ext_000"},
    ["DRIVE_TO_NEAREST_ROAD"] = {"g5serv_001", "g5serv_001"},           -- drive to nearest road 
    ["FERRY"] = {"g5man_016e_alt1", "g5man_016_alt1"}
}


exit_number_check = {
    [1] = {"g5ext_001e","g5ext_001"},                   -- take the first exit
    [2] = {"g5ext_002e","g5ext_002"},                   -- take the second exit
    [3] = {"g5ext_003e","g5ext_003"},                   -- take the third exit
    [4] = {"g5ext_004e","g5ext_004"},                   -- take the fourth exit
    [5] = {"g5ext_005e","g5ext_005"},                   -- take the fifth exit
    [6] = {"g5ext_006e","g5ext_006"},                   -- take the sixth exit
    [7] = {"g5ext_007e","g5ext_007"},                   -- take the seventh exit
    [8] = {"g5ext_008e","g5ext_008"},                   -- take the eighth exit
    [9] = {"g5ext_009e","g5ext_009"},                   -- take the ninth exit
    [10] = {"g5ext_010e","g5ext_010"},                  -- take the tenth exit
    [11] = {"g5ext_011e","g5ext_011"},                  -- take the eleventh exit
    [12] = {"g5ext_012e","g5ext_012"}                   -- take the twelfth exit
}

-- [1] meters/kilometers (masculine)
-- [2] miles/yards (femenine)
distances = {
    [50] = {"g5num_050_after","g5num_050_after"},
    [100] = {"g5num_100","g5num_100"},
    [150] = {"g5num_150_after","g5num_150_after"},
    [200] = {"g5num_200","g5num_200"},
    [250] = {"g5num_250_after","g5num_250_after"},
    [300] = {"g5num_300","g5num_300"},
    [400] = {"g5num_400","g5num_400"},
    [500] = {"g5num_500","g5num_500"},
    [600] = {"g5num_600","g5num_600"},
    [700] = {"g5num_700","g5num_700"},
    [800] = {"g5num_800","g5num_800"},
    [900] = {"g5num_900","g5num_900"},
    [1] = {"g5num_001_after_m","g5num_001_after_f"},
    [2] = {"g5num_002_after","g5num_002_after"},
    [3] = {"g5num_003_after","g5num_003_after"},
    [4] = {"g5num_004_after","g5num_004_after"},
    [5] = {"g5num_005_after","g5num_005_after"},
    [6] = {"g5num_006_after","g5num_006_after"},
    [7] = {"g5num_007_after","g5num_007_after"},
    [8] = {"g5num_008_after","g5num_008_after"},
    [9] = {"g5num_009_after","g5num_009_after"},
    [10] = {"g5num_010_after","g5num_010_after"}
}

distances_follow = {
    [50] = {nil,nil},   -- not required
    [100] = {nil,nil},  -- not required
    [150] = {nil,nil},  -- not required
    [200] = {nil,nil},  -- not required
    [250] = {nil,nil},  -- not required
    [300] = {nil,nil},  -- not required
    [400] = {nil,nil},  -- not required
    [500] = {nil,nil},  -- not required
    [600] = {nil,nil},  -- not required
    [700] = {nil,nil},  -- not required
    [800] = {nil,nil},  -- not required
    [900] = {nil,nil},  -- not required
    [1] = {nil,nil},    -- not required
    [2] = {"g5num_002_follow_m","g5num_002_follow_f"},   -- not required
    [3] = {"g5num_003_follow","g5num_003_follow"},
    [4] = {"g5num_004_follow","g5num_004_follow"},
    [5] = {"g5num_005_follow","g5num_005_follow"},
    [6] = {"g5num_006_follow","g5num_006_follow"},
    [7] = {"g5num_007_follow","g5num_007_follow"},
    [8] = {"g5num_008_follow","g5num_008_follow"},
    [9] = {"g5num_009_follow","g5num_009_follow"},
    [10] = {"g5num_010_follow","g5num_010_follow"}
}
unit = {                                    -- Intonation down, intonation up
    ["MILE"] = {"g5unt_mil_follow_1e","g5unt_mil_after_1"},
    ["YARDS"] = {"g5unt_yd_after_X","g5unt_yd_after_X"},
    ["KILOMETER"] = {"g5unt_km_after_1","g5unt_km_after_1"},
    ["METERS"] = {"g5unt_m_after_X","g5unt_m_after_X"},
    ["METER"] = {nil, nil},
    ["KILOMETERS"] = {"g5unt_km_follow_Xe","g5unt_km_after_X"},           -- Note: If "follow the road for 2, 3 or 4 kilometers", then use misc["kilometers_2_4_follow_wav"] ; If "follow the road for 5, 6, 7,...10 kilometers", then use "g5unt_km_follow_Xe"
    ["MILES"] = {"g5unt_mil_follow_Xe","g5unt_mil_after_X"},              -- Note: If "follow the road for 2, 3 or 4 miles", then use misc["miles_2_4_follow_wav"] ; If "follow the road for 5, 6, 7,...10 miles", then use "g5unt_mil_follow_Xe"
    ["nil"] = {nil, nil},
    ["UNDEFINED"] = {nil, nil}
}

misc = { 
    ["beep_sound"] = "beep",
    ["gps_signal_lost_wav"] = "g5war_027e",
    ["gps_signal_restored_wav"] = "g5war_010e",
    ["no_gps_signal_wav"] = "g5war_028e",
    ["route_recalculation_wav"] = "g5war_012e",
    ["now_wav"] = "g5mod_007",
    ["destination_wav"] = "g5ann_001e",
    ["stopover_wav"] = "g5ann_002e",
    ["end_of_street_wav"] = "g5mod_004",
    ["follow_hwy_wav"] = "g5man_003e",
    ["follow_road_e_wav"] = "g5man_002e",
    ["follow_road_wav"] = "g5man_002",
    ["miles_2_4_follow_wav"] = "g5unt_mil_follow_2e",
    ["kilometers_2_4_follow_wav"] = "g5unt_km_follow_2e",
    ["the_junction_wav"] = "g5mod_016_alt1",                       
    ["for_wav"] = nil,                                           -- not required in Slovak
    ["take_at_the_wav"] = "g5ext_take",
    ["roundabout_wav"] = "g5mod_005",
    ["after_wav"] = "g5pre_003",
    ["after_junct_wav"] = "g5pre_003_alt1",
    ["half_a_mile_wav"] = "g5num_050_mil",
    ["quarter_a_mile_wav"] = "g5num_025_mil",
    ["and_wav"] = "g5con_001",                                   -- and then
    ["second_right_wav"] = "g5turns_right_006e_alt1",
    ["second_left_wav"] = "g5turns_left_006e_alt1",
    ["immediately_wav"] = "g5mod_007_imm_alt1",                   
    ["safety_camara_ahead_wav"] = "g5war_004e",                  -- Speed cam ahead
    ["over_speed_limit_wav"] = "g5war_005e",
    ["traffic_automatic_detour_wav"] = "g5war_018e",
    ["traffic_manual_detour_wav"] = "g5war_017e",
    ["no_detour_possible"] = "g5war_021e",
    ["and_then_wav"] = "g5con_001"

}

right = { ["QUITE_RIGHT"] = 0, ["HEAVY_RIGHT"] = 0, ["LIGHT_RIGHT"] = 0, ["KEEP_RIGHT"] = 0 }
left = { ["QUITE_LEFT"] = 0, ["HEAVY_LEFT"] = 0, ["LIGHT_LEFT"] = 0, ["KEEP_LEFT"] = 0 }


check_files = { maneuver_turns, maneuver_check, exit_number_check, distances, distances_follow, unit, misc }